Bug 509905 - jabberd sm module crashes with code linking error
jabberd sm module crashes with code linking error
Product: Fedora
Classification: Fedora
Component: jabberd (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-06 15:14 EDT by David Carlson
Modified: 2015-02-26 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.2.8-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 09:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Carlson 2009-07-06 15:14:44 EDT
Description of problem:

jabberd does not work - it starts up fine, but after a successful authentication it tries to use its backend storage engine, at which point sm dies and the client is kicked from jabberd

Running sm in the foreground, it crashes with:

sm: symbol lookup error: /usr/lib/jabberd/storage_db.so: undefined symbol: ser_string_get

-bash-4.0$ ldd /usr/lib/jabberd/storage_db.so
	linux-gate.so.1 =>  (0x00958000)
	libdb-4.7.so => /lib/libdb-4.7.so (0x00474000)
	libpam.so.0 => /lib/libpam.so.0 (0x001b3000)
	libssl.so.8 => /usr/lib/libssl.so.8 (0x00da3000)
	libcrypto.so.8 => /usr/lib/libcrypto.so.8 (0x0029c000)
	libgsasl.so.7 => /usr/lib/libgsasl.so.7 (0x00df2000)
	libudns.so.0 => /usr/lib/libudns.so.0 (0x00f58000)
	libidn.so.11 => /lib/libidn.so.11 (0x00842000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x007ee000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x00110000)
	libgc.so.1 => /usr/lib/libgc.so.1 (0x00ad7000)
	libz.so.1 => /lib/libz.so.1 (0x0045a000)
	libc.so.6 => /lib/libc.so.6 (0x005e2000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00fa8000)
	libaudit.so.0 => /lib/libaudit.so.0 (0x00129000)
	libdl.so.2 => /lib/libdl.so.2 (0x00143000)
	libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00ea4000)
	libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00873000)
	libcom_err.so.2 => /lib/libcom_err.so.2 (0x009b3000)
	libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00933000)
	libntlm.so.0 => /usr/lib/libntlm.so.0 (0x00d14000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00221000)
	/lib/ld-linux.so.2 (0x001f3000)
	libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x0090f000)
	libkeyutils.so.1 => /lib/libkeyutils.so.1 (0x00148000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x0014b000)

Version-Release number of selected component (if applicable):

How reproducible:
Set up a jabberd server (in my case copying exactly from F10).  After successful auth the sm module will crash and jabberd will not function

Steps to Reproduce:
1. service jabberd start
2. <log in from a different machine>
3. Notice "Read Error / Host Gone" on other machine, and that sm daemon has died
Actual results:
dead subsystem

Expected results:
XMPP works

Additional info:

a quick google found what is probably the same problem:


It probably is fixed by a newer upstream (2.2.9)
Comment 1 Adrian Reber 2009-07-06 17:04:55 EDT
The same bug has been submitted for the EL-5 branch (#508182) (and I want to know there if a rebuild fixes it). I have a new version for F-11 available at #497671. Can you try 2.2.8-2.fc11 from updates-testing to see if it works.
Comment 2 David Carlson 2009-07-06 17:20:50 EDT
It does work with that update - I have connected successfully and it's talking to the XMPP world just fine.  It hadn't hit updates-testing yet so I just nabbed the version from koji.  Thanks a ton!
Comment 3 Bug Zapper 2010-04-27 11:30:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-06-28 09:30:04 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.